Problem running IDE v18

I am trying to get a Duemilanove board running on a Macbook Pro OSX 10.6.3. I have the FTDI drivers installed but when I launch the IDE I get the following dialog box:

Cannot Launch Java Application

Uncaught exception in main method: java.lang.UnsatisfiedLinkError: /Library/Java/Extensions/librxtxSerial.jnilib: no suitable image found. Did find: /Library/Java/Extensions/librxtxSerial.jnilib: mach-o, but wrong architecture

Only option is Quit.

I went through several blogs and forums and it seemed it might be a JAVA 1.6 problem, so I installed 1.5 and have tried both the 32 and 64 bit versions. I checked the Rosetta option for the IDE ( no 32 bit mode option) using get info. Same result. Has anyone else seen this or have any ideas?

Thanks Al